.m-header {
  display: flex;
  justify-content: space-between;
  padding: 1rem;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 1000;
  background-color: #fff;

  &__cart-icon-wrapper {
    display: inline-block;
    position: relative;
  }

  &__logo {
    cursor: pointer;
  }

  &__icon {
    display: inline-block;
    margin-inline: 0.5rem;
    width: 1.125rem;
    height: 1.125rem;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    cursor: pointer;

    &--menu {
      background-image: url("../assets/icons/menu.svg");
    }

    &--user {
      background-image: url("../assets/icons/user.svg");
    }

    &--search {
      background-image: url("../assets/icons/search.svg");
    }

    &--cart {
      background-image: url("../assets/icons/cart.svg");
    }
  }

  &__cart-number {
    position: absolute;
    padding: 0 0.3125rem;
    vertical-align: middle;
    border-radius: 50%;
    background-color: rgb(31, 31, 31);
    color: #fff;
    top: -0.1875rem;
    right: 0;
    font-size: 0.625rem;
  }

  // iPad
  @media (min-width: 768px) {
    padding: 1.2rem;
  }

  // iPad landscape
  @media (min-width: 1024px) {
    padding: 1.5rem;
  }

  // laptop viewport
  @media (min-width: 1152px) {
  }

  // desktop
  @media (min-width: 1440px) {
  }
}
